Bug 1866257 - [GSS][RADOS]MONs have slow/long running ops
Summary: [GSS][RADOS]MONs have slow/long running ops
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS
Version: 4.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.2
Assignee: Greg Farnum
QA Contact: Pawan
URL:
Whiteboard:
Depends On:
Blocks: 1890121
TreeView+ depends on / blocked
 
Reported: 2020-08-05 08:41 UTC by Geo Jose
Modified: 2021-09-22 03:17 UTC (History)
18 users (show)

Fixed In Version: ceph-14.2.11-23.el8cp, ceph-14.2.11-23.el7cp
Doc Type: Bug Fix
Doc Text:
.Ceph Monitors now show caution when handling forwarded OSD failure reports Previously, Ceph Monitors would incorrectly report slow operations to administrators and logging systems. With this release, Ceph Monitors now handle forwarded OSD failure reports with caution, so many fewer inaccurate slow operations will occur.
Clone Of:
Environment:
Last Closed: 2021-01-12 14:56:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Ceph Project Bug Tracker 46914 0 None None None 2020-08-13 00:34:45 UTC
Github ceph ceph pull 37171 0 None closed nautilus: mon: mark pgtemp messages as no_reply more consistenly in preprocess_… 2021-02-12 08:53:10 UTC
Red Hat Issue Tracker RHCEPH-1848 0 None None None 2021-09-22 03:17:26 UTC
Red Hat Knowledge Base (Solution) 5513131 0 None None None 2020-10-23 07:00:43 UTC
Red Hat Product Errata RHSA-2021:0081 0 None None None 2021-01-12 14:56:52 UTC

Comment 3 Greg Farnum 2020-08-13 00:34:45 UTC
Upstream tracker created and bug is queued for backport, upstream PR at https://github.com/ceph/ceph/pull/36593. I will pull this into downstream once it's merged to mainline.

Comment 17 errata-xmlrpc 2021-01-12 14:56:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Red Hat Ceph Storage 4.2 Security and Bug Fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0081


Note You need to log in before you can comment on or make changes to this bug.